package nc.ui.bd.ref.model;

import nc.itf.bd.pub.IBDResourceIDConst;
import nc.ui.bd.ref.AbstractRefModel;
import nc.ui.bd.ref.IRefDocEdit;
import nc.ui.bd.ref.IRefMaintenanceHandler;
import nc.ui.pub.beans.ValueChangedEvent;
import nc.vo.bd.stordoc.StordocVO;
import nc.vo.bd.defdoc.DefdocVO ;      
import nc.vo.ml.NCLangRes4VoTransl;

/**
 * OCR发票识别参照
 */
public class StorDocReportRefModel extends AbstractRefModel{
    public StorDocReportRefModel() {
        this.reset();
    }

	  
	 
	 
	
	@Override
	public void reset() {
       
		super.setFieldCode(new String[] {"bd_defdoc.shortname5","ocr_defdoc.kyhsje","ocr_defdoc.kywsje","ocr_defdoc.jyse","bd_defdoc.shortname2","bd_defdoc.shortname",
			"bd_defdoc.shortname6","bd_defdoc.shortname3","bd_defdoc.modifier","bd_defdoc.innercode","bd_defdoc.name","bd_defdoc.memo","bd_defdoc.mnecode","bd_defdoc.name2","bd_defdoc.name3","bd_defdoc.name4","bd_defdoc.pid","bd_defdoc.shortname4",
			"bd_defdoc.code"
		
		
		
		});
		super.setFieldName(new String[] {"发票类型","可用含税金额","可用无税金额","可用税额","票面含税金额","票面无税金额","票面税率","票面税额","票面可抵扣金额","发票代码","发票号",
        		"发票名称",
        		"购买方纳税人识别号",
        		"购买方公司名称", 
        		"销售方纳税人识别号",
        		"销售方公司名称",
        		"发票时间",
        		"开票内容",
        		"fid"});
		super.setTableName("bd_defdoc bd_defdoc  left join ocr_defdoc ocr_defdoc on bd_defdoc.code = ocr_defdoc.numberid");
		super.setHiddenFieldCode(new String[] {"pk_defdoc"});
		super.setPkFieldCode("pk_defdoc");
		super.setRefCodeField("bd_defdoc.code");
		super.setRefNameField("bd_defdoc.name");
		super.setOrderPart("bd_defdoc.code");
		super.setDefaultFieldCount(8);
		super.setRefTitle("OCR参照");
		this.resetFieldName(); 
		}
}
